name: food_resturant
description: A new Flutter project.

# The following line prevents the package from being accidentally published to
# pub.dev using `pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.0.7+6

environment:
  sdk: ">=2.7.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter


  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.0
  polygon_clipper: ^1.0.2
  mockito: ^4.1.0
  dartz: ^0.8.9
  http:
  dio:
  bloc: ^6.0.0
  data_connection_checker: ^0.3.4
  flutter_bloc: ^6.0.5
  path_provider: ^2.0.2
  get_it: ^4.0.1
  equatable: ^1.1.1
  shared_preferences:
  firebase_core:
  firebase_messaging:
  intl:
  flutter_local_notifications:
  package_info:
  url_launcher:
  flutter_multi_formatter: ^1.1.5
  image_picker:
  image_cropper:
  content_placeholder: ^0.1.0
  smooth_star_rating:
  auto_animated: 
  flutter_staggered_grid_view: 
  animations:
  get:
  flutter_animator:
  marquee:
  cached_network_image:
  get_storage: ^2.0.2
  flutter_icons:
  giffy_dialog:
  bubble_tab_indicator: ^0.1.4
  qr_flutter:
#  google_maps_flutter: ^1.1.1
  flutter_rating_bar: ^3.2.0+1
  qr_code_scanner:
  queries:
  flutter_datetime_picker:
  custom_radio_grouped_button:
  percent_indicator:
  get_mac:
  multi_image_picker:




dev_dependencies:
  flutter_test:
    sdk: flutter

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
      - assets/images/
  #   - images/a_dot_ham.jpeg

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
